-- Tak.Sugawara Jan.22.2004
--
library  IEEE;
use IEEE.std_logic_1164.all;


entity TestBench is
end TestBench;

architecture Stimulus of TestBench is
component v_riscmcu
  

port (
		clock : in STD_LOGIC;
		reset : in STD_LOGIC;
	pinb : inout STD_LOGIC_VECTOR(7 downto 0);
		pinc : inout STD_LOGIC_VECTOR(7 downto 0);
		pind : inout STD_LOGIC_VECTOR(7 downto 0)
	);
end component;
component top_avr_core_sim 
		                    port(
                                ireset : in std_logic;
                                cp2    : in std_logic;
	 	 
                                porta  : inout std_logic_vector(7 downto 0);
                                portb  : inout std_logic_vector(7 downto 0);
	                            -- UART 
	                            rxd    : in  std_logic;
	                            txd    : out std_logic;
                                -- External interrupt inputs
								nINT0  : in  std_logic;
								nINT1  : in  std_logic;
								nINT2  : in  std_logic;
								nINT3  : in  std_logic;
								INT4   : in  std_logic;
								INT5   : in  std_logic;
								INT6   : in  std_logic;
								INT7   : in  std_logic
								);
end component;



signal CLK, RESET : std_logic :='0';
signal pinb : std_logic_vector(7 downto 0);
signal pinc : std_logic_vector(7 downto 0);
signal pind : std_logic_vector(7 downto 0) :="00000000";
signal txd :std_logic;
signal rxd :std_logic;
signal n0,n1,n2,n3,n4,n5,n6,n7 :std_logic;
begin

  DUT :component top_avr_core_sim port map (reset,clk,pinb,pinc,txd,rxd,
		n0,n1,n2,n3,n4,n5,n6,n7);

	Reset <= '0', '1' after 355 ns;

	-- 50 MHz clock
	CLK <= not CLK after 10 ns;

end Stimulus;

